//+------------------------------------------------------------------+
//|                                                     CoinTest.mq4 |
//|                                                          Dubovik |
//|                                                                  |
//+------------------------------------------------------------------+
#property copyright "Dubovik"
#property link      ""
#property version   "1.00"
#property strict
#property script_show_inputs

#include <CCoinTest.mqh>




//--- input parameters
input int RepeatsCount=100000;
input int StartBalance = 10000;
input int Take = 50;
input int PocketPercent = 10;
input double SuccessPercent = 50.0;
input string S2 = "  true - , SuccessPercent ";
input bool FiftyFifty = true;
input string S3 = " true -      ";
input bool FixedLot = false;




void OnStart()
{
	MathSrand(GetTickCount());

	CCoinTest Coin;

	Coin.SetRepeatsCount(RepeatsCount);
	Coin.SetStartBalance(StartBalance);
	Coin.SetTake(Take);
	Coin.SetPocketPercent(PocketPercent);
	Coin.SetSuccessPercent(SuccessPercent);
	Coin.SetFiftyFifty(FiftyFifty);
	Coin.SetFileName("Coin.csv");
	Coin.SetFixedLot(FixedLot);

	Coin.Go();
}
